# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hw-crossplatform"
version = "0.1.22"
authors = [
    "Ilya <iosdsbb@gmail.com>",
    "Leon <leofaraf@proton.me>",
]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Crossplatform library for getting hardware info."
readme = "README.md"
license = "MIT"

[profile.dev]
opt-level = 0

[profile.release]
opt-level = 3

[lib]
name = "hw_crossplatform"
path = "src/lib.rs"

[[bin]]
name = "hw-crossplatform"
path = "src/main.rs"

[dependencies.display-info]
version = "0.5.1"

[dependencies.num_cpus]
version = "1.16.0"

[dependencies.serde]
version = "1.0.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.0"

[dependencies.smbios-lib]
version = "0.9.1"

[dependencies.sysinfo]
version = "0.31.2"

[dependencies.wgpu]
version = "22.1.0"

[dependencies.windows]
version = "0.58.0"
features = [
    "Data_Xml_Dom",
    "Win32_Foundation",
    "Win32_Security",
    "Win32_System_Threading",
    "Win32_UI_WindowsAndMessaging",
    "Win32_Storage_FileSystem",
]

[dependencies.wmi]
version = "0.13.3"

[target.x86_64-unknown-linux-gnu.dependencies.linux-info]
version = "0.1.16"

[target.x86_64-unknown-linux-gnu.dependencies.xcb]
version = "1.4.0"
